package com.sifang.modules.flowable.vo;

public class ProcessDefStep {

    public  static  final String STEPONE="提交节点";

    private String name;
    private String visibleFields;
    private String operateFields;
    private String roleId;
    private String roleName;
    private String rejectStepName;   //驳回至某一节点的名称
    private String ccUserId;
    private String auditNote;
    private String sort;
    private String transDepartment;

    private String itemName;

    private String auditType;

    private String empUserId;


    private String auditMethod;

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getAuditType() {
        return auditType;
    }

    public void setAuditType(String auditType) {
        this.auditType = auditType;
    }

    public String getEmpUserId() {
        return empUserId;
    }

    public void setEmpUserId(String empUserId) {
        this.empUserId = empUserId;
    }

    public String getAuditMethod() {
        return auditMethod;
    }

    public void setAuditMethod(String auditMethod) {
        this.auditMethod = auditMethod;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getTransDepartment() {
        return transDepartment;
    }

    public void setTransDepartment(String transDepartment) {
        this.transDepartment = transDepartment;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVisibleFields() {
        return visibleFields;
    }

    public void setVisibleFields(String visibleFields) {
        this.visibleFields = visibleFields;
    }

    public String getOperateFields() {
        return operateFields;
    }

    public void setOperateFields(String operateFields) {
        this.operateFields = operateFields;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getRejectStepName() {
        return rejectStepName;
    }

    public void setRejectStepName(String rejectStepName) {
        this.rejectStepName = rejectStepName;
    }

    public String getCcUserId() {
        return ccUserId;
    }

    public void setCcUserId(String ccUserId) {
        this.ccUserId = ccUserId;
    }

    public String getAuditNote() {
        return auditNote;
    }

    public void setAuditNote(String auditNote) {
        this.auditNote = auditNote;
    }


    @Override
    public String toString() {
        return "ProcessDefStep{" +
                "name='" + name + '\'' +
                ", roleId='" + roleId + '\'' +
                ", roleName='" + roleName + '\'' +
                ", rejectStepName='" + rejectStepName + '\'' +
                ", auditNote='" + auditNote + '\'' +
                ", sort='" + sort + '\'' +
                '}';
    }
}
